%global pypi_name pathspec

%bcond_with check

Name:           python-%{pypi_name}
Version:        0.12.1
Release:        %mkrel 3
Summary:        Utility library for gitignore style pattern matching of file paths
Group:          Development/Python
License:        MPL 2.0
URL:            https://pypi.org/project/pathspec/
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel
%if %{with check}
BuildRequires:  python3dist(pytest)
%endif

%description
Path Specification (pathspec) is a utility library for pattern matching of file
paths. So far this only includes Git's wildmatch pattern matching which itself
is derived from Rsync's wildmatch. Git uses wildmatch for its gitignore files.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Path Specification (pathspec) is a utility library for pattern matching of file
paths. So far this only includes Git's wildmatch pattern matching which itself
is derived from Rsync's wildmatch. Git uses wildmatch for its gitignore files.


%prep
%autosetup -n pathspec-%{version}

#loosen flit_core reqs
sed -i -e '/^requires/s!\"\(flit_core\s*\).*\"!\"\1>=3.2\"!' pyproject.toml

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pathspec

%if %{with check}
%check
%pytest
%endif

%files -n python3-pathspec -f %{pyproject_files} -f %{pyproject_files}
%doc README.rst
%license LICENSE


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 0.12.1-3.mga10
+ Revision: 2236123
- Mageia 10 Mass Rebuild

* Fri Feb 21 2025 neoclust <neoclust> 0.12.1-2.mga10
+ Revision: 2150375
- Rebuild against python 3.13

* Fri Jun 28 2024 papoteur <papoteur> 0.12.1-1.mga10
+ Revision: 2077710
- new version 0.12.1

* Wed Dec 13 2023 papoteur <papoteur> 0.11.2-3.mga10
+ Revision: 2017772
- rebuild for python 3.12

* Thu Dec 07 2023 wally <wally> 0.11.2-2.mga10
+ Revision: 2015033
- rebuild for py3.12
- use %%pyproject_buildrequires
- add bcond for %%check (and disable it for upcoming python3 3.12 update)

* Wed Sep 20 2023 papoteur <papoteur> 0.11.2-1.mga10
+ Revision: 1988396
- new 0.11.2

* Sat Dec 17 2022 guillomovitch <guillomovitch> 0.10.3-1.mga9
+ Revision: 1924283
- new version 0.10.3

* Sat Nov 19 2022 guillomovitch <guillomovitch> 0.10.2-1.mga9
+ Revision: 1908847
- new version 0.10.2

* Sun Sep 18 2022 guillomovitch <guillomovitch> 0.10.1-1.mga9
+ Revision: 1889858
- new version 0.10.1

* Sat Mar 26 2022 umeabot <umeabot> 0.9.0-3.mga9
+ Revision: 1828445
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 tv <tv> 0.9.0-2.mga9
+ Revision: 1774271
- Rebuild for python-3.10

* Mon Aug 30 2021 wally <wally> 0.9.0-1.mga9
+ Revision: 1743625
- new version 0.9.0

* Sat Mar 20 2021 guillomovitch <guillomovitch> 0.8.1-2.mga9
+ Revision: 1705487
- rebuild for python 3.9

* Mon Nov 09 2020 guillomovitch <guillomovitch> 0.8.1-1.mga8
+ Revision: 1644153
- imported package python-pathspec

